package org.etsi.mts.tdl.execution.java.rt.core;

import org.etsi.mts.tdl.execution.java.tri.Data;

/**
 * In Java environment the <code>type</code> is a Java class and
 * <code>value</code> is an object of that class or a lambda expression that
 * returns such object.
 */
public class DataImpl<T, V> implements Data<T, V> {

	private T type;

	private V value;

	public DataImpl(T type, V value) {
		this.type = type;
		this.value = value;
	}

	public V getValue() {
		return value;
	}

	public T getType() {
		return type;
	}

}
